Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLVolumeProVP1000Mapper Class Reference

`#include <vtkOpenGLVolumeProVP1000Mapper.h>`

Inheritance diagram for vtkOpenGLVolumeProVP1000Mapper:

[legend]
Collaboration diagram for vtkOpenGLVolumeProVP1000Mapper:

[legend]
List of all members.

## Detailed Description

Concrete class for VolumePRO mapper.

Date:
  2002/09/05 13:26:29

Revision:
  1.7

vtkOpenGLVolumeProVP1000Mapper is the concrete implementation of a vtkVolumeProMapper based on the VP1000 chip running with OpenGL. Users should not create this class directly - a vtkVolumeProMapper will automatically create the object of the right type.

This class is not included in the Rendering CMakeLists by default. If you want to add this class to your vtk build, you need to have the vli header and library files. Please see the vtkVolumeProVP1000Mapper.h file for instructions on how to use the vli library with vtk.

For more information on the VolumePRO hardware, please see:

http://www.terarecon.com/3d_products.shtml

If you encounter any problems with this class, please inform Kitware, Inc. at kitware@kitware.com.

See also:
  vtkVolumeMapper vtkVolumeProMapper vtkVolumeProVP1000Mapper

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (90%)
  - Cedilnik, Andy (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkOpenGLVolumeProVP1000Mapper.cxx)`
  - .`h` (`/Rendering/vtkOpenGLVolumeProVP1000Mapper.h)`

Definition at line 62 of file vtkOpenGLVolumeProVP1000Mapper.h.

## Public Types
typedef vtkVolumeProVP1000Mapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOpenGLVolumeProVP1000Mapper * | SafeDownCast (vtkObject *o)
vtkOpenGLVolumeProVP1000Mapper * | New ()
## Protected Methods
| vtkOpenGLVolumeProVP1000Mapper ()
| ~vtkOpenGLVolumeProVP1000Mapper ()
void | RenderImageBuffer (vtkRenderer *ren, vtkVolume *vol, int size[2], unsigned int *outData)
virtual void | GetDepthBufferValues (vtkRenderer *ren, int size[2], unsigned int *outData)
virtual void | RenderBoundingBox (vtkRenderer *ren, vtkVolume *vol)

## Member Typedef Documentation

typedef vtkVolumeProVP1000Mapper vtkOpenGLVolumeProVP1000Mapper::Superclass

| Reimplemented from vtkVolumeProVP1000Mapper. Definition at line 65 of file vtkOpenGLVolumeProVP1000Mapper.h.

## Constructor & Destructor Documentation

vtkOpenGLVolumeProVP1000Mapper::vtkOpenGLVolumeProVP1000Mapper | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkOpenGLVolumeProVP1000Mapper.h.

vtkOpenGLVolumeProVP1000Mapper::~vtkOpenGLVolumeProVP1000Mapper | ( |  | ) | `[inline, protected]`

| Definition at line 71 of file vtkOpenGLVolumeProVP1000Mapper.h.

## Member Function Documentation

virtual const char* vtkOpenGLVolumeProVP1000Mapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeProVP1000Mapper.

int vtkOpenGLVolumeProVP1000Mapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeProVP1000Mapper.

virtual int vtkOpenGLVolumeProVP1000Mapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeProVP1000Mapper.

vtkOpenGLVolumeProVP1000Mapper* vtkOpenGLVolumeProVP1000Mapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeProVP1000Mapper.

vtkOpenGLVolumeProVP1000Mapper* vtkOpenGLVolumeProVP1000Mapper::New | ( |  | ) | `[static]`

| Automatically create the proper subclass Reimplemented from vtkVolumeProVP1000Mapper.

virtual void vtkOpenGLVolumeProVP1000Mapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeProVP1000Mapper.

void vtkOpenGLVolumeProVP1000Mapper::RenderImageBuffer | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol,
|  | int | size[2],
|  | unsigned int * | outData
| ) | `[protected]`

virtual void vtkOpenGLVolumeProVP1000Mapper::GetDepthBufferValues | ( | vtkRenderer * | ren,
|  | int | size[2],
|  | unsigned int * | outData
| ) | `[protected, virtual]`

virtual void vtkOpenGLVolumeProVP1000Mapper::RenderBoundingBox | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol
| ) | `[protected, virtual]`

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLVolumeProVP1000Mapper.h